﻿@model SSTC.Entity.Category



<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function changeRowForContract() {  
        $("#next").attr("type", "submit");
        var inpObj = document.getElementById("login");
        if (!inpObj.checkValidity()) {
            document.getElementById("login").innerHTML = inpObj.validationMessage;
        }
        else if(!document.getElementById("name").checkValidity()) {
            document.getElementById("name").innerHTML = document.getElementById("name").validationMessage;
        }
            else if(!document.getElementById("surname").checkValidity()) {
            document.getElementById("surname").innerHTML = document.getElementById("surname").validationMessage;
        }
            else if(!document.getElementById("mail").checkValidity()) {
            document.getElementById("mail").innerHTML = document.getElementById("mail").validationMessage;
        }
        else {
            $("#next").attr("type", "button");
            $("#newUser").toggle();
            $("#newContract").toggle();
        }
    }
</script>
<script>
    function clickNoLimit() {
        if ($("#noLimit").is(":checked")) {
            $("#dateOfContractEnd").attr("type", "");
            $("#dateOfContractEnd").attr("value", "2999-31-31");
            $("#dateOfContractEnd").attr("ReadOnly", "true");
        }
        else {
            $("#dateOfContractEnd").removeAttr("value");
            $("#dateOfContractEnd").removeAttr("ReadOnly");
            $("#dateOfContractEnd").attr("type", "date");
        }
    }
</script>
<div align="center">
    @*@using (@Html.BeginForm()) {*@
    <table>
        <tr id=@("newUser")>
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                <form class="form-signin" _lpchecked="1" method="post">

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane pracownika:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Login:</p>
                    <label for="login" class="sr-only">Nazwa kategorii</label>
                    @Html.TextBoxFor(a => a.Name, new { @class = "form-control", id = "login", required = "true", value = Model.Name })
                    @Html.ValidationMessageFor(a => a.Name)
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="submit" id="next" value="Dalej" formvalidate onclick="changeRowForContract()" />
                </form>
            </td>
        </tr>
    </table>
 
</div>

